Bug 115785 - rhn-applet crashes on theme change
rhn-applet crashes on theme change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 00:30 EST by Jerry O. Dueitt, Jr.
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry O. Dueitt, Jr. 2004-02-16 00:30:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
This is similar to bug 112361 and might as well be filed as a 
duplicate. But this is on Fedora Core 2 Test 1, not just FC1. 

When I switch themes the first time during a session rhn-applet will 
crash. However, if I restart rhn-applet it will not crash upon 
subsequent theme changes. This is observed using both FC2t1 provided 
themes and custom themes. 

Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Login to a gnome session
2. Change theme
3. Change theme again.
    

Actual Results:  rhn-applet will crash sometimes after step 2. If rhn-
applet is re-launched after step 2 it will never crash after step 3, 
regardless of the number of times step 3 is repeated.

Expected Results:  rhn-applet should not crash.

Additional info:
Comment 1 John Thacker 2006-10-29 17:35:48 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 2 John Thacker 2006-11-05 11:32:21 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.